import snippets from './snippets';

export default {
  snippets,
  componentName: 'Box',
  title: '布局容器',
  category: '布局',
  props: [
    {
      name: 'display',
      title: {
        label: '显示方式',
        tip: '显示方式',
      },
      setter: {
        componentName: 'SelectSetter',
        props: {
          options: [
            {
              title: '块',
              value: 'block',
            },
            {
              title: '内联',
              value: 'inline',
            },
            {
              title: '内联块',
              value: 'inline-block',
            },
            {
              title: '弹性',
              value: 'flex',
            },
            {
              title: '不显示',
              value: 'none',
            },
          ],
        },
      },
      propType: {
        type: 'oneOf',
        value: [
          'block',
          'inline',
          'inline-block',
          'flex',
          'none',
        ],
      },
    },
    {
      name: 'width',
      title: { label: '宽度', tip: '宽度' },
      propType: 'number',
    },
    {
      name: 'height',
      title: { label: '高度', tip: '高度' },
      propType: 'number',
    },
    {
      name: 'overflowY',
      title: {
        label: '纵向处理',
        tip: '纵向处理',
      },
      setter: {
        componentName: 'SelectSetter',
        props: {
          options: [
            {
              title: '自动',
              value: 'auto',
            },
            {
              title: '滚动',
              value: 'scroll',
            },
            {
              title: '隐藏',
              value: 'hidden',
            },
          ],
        },
      },
      propType: {
        type: 'oneOf',
        value: ['auto', 'scroll', 'hidden'],
      },
    },
    {
      name: 'overflowX',
      title: {
        label: '横向处理',
        tip: '横向处理',
      },
      setter: {
        componentName: 'SelectSetter',
        props: {
          options: [
            {
              title: '自动',
              value: 'auto',
            },
            {
              title: '滚动',
              value: 'scroll',
            },
            {
              title: '隐藏',
              value: 'hidden',
            },
          ],
        },
      },
      propType: {
        type: 'oneOf',
        value: ['auto', 'scroll', 'hidden'],
      },
    },
  ],
  configure: {
    component: {
      isContainer: true,
    },
    supports: {
      events: [
        {
          name: 'onClick',
          template:
            "onClick(event,${extParams}){\n// 点击元素时的回调\nconsole.log('onClick', event);}",
        },
      ],
      style: true,
      className: true
    },
  },
};
